import React, { useState, useEffect } from 'react'
import './index.scss'
import { Swiper, SwiperItem, Image } from '@tarojs/components'
import { getImgURL } from '@/utils/image'

export default function Banner (props) {
  const { List = [] } = props
  return (
    <view className='components Banner'>
      <Swiper autoplay={true} interval={2000} indicator-dots={true}>
        {
          List.map((item, index) => (
            <SwiperItem key={`Banner-${index}`}>
              <view className="swiper-item">
                <Image mode='aspectFill' className='centerLabel' src={getImgURL(item.image)} />
              </view>
            </SwiperItem>
          ))
        }
      </Swiper>
    </view>
  )
}
